Bug 84460 - Inconsistent order of displaying search results between "Find all" and "Find Next/Previous"
Summary: Inconsistent order of displaying search results between "Find all" and "Find ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Find-Search
  Show dependency treegraph
 
Reported: 2014-09-29 12:46 UTC by sonajaqufe
Modified: 2022-10-25 03:33 UTC (History)
0 users

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sonajaqufe 2014-09-29 12:46:50 UTC
How to reproduce
1. Open Writer, insert an image and add a caption to it with some words.
2. Copy & paste same words as body text above figure.
3. Insert page break or dummy text to move figure to next page.
4. Scroll to top of document, press CTRL+F & CTRL+C to copy same words as search term.
5. Click "Find all" => Buggy behaviour: View jumps to search result in figure caption, ignoring first result in body text.
6. Repeat with only "Find" => Slightly better behaviour: View cycles through search results in body text first, then through figure captions.


Expected behaviour: "Find all" should not jump view, but only highlight. Or at least jump to next search result, without regard to body text or figure caption.


Maybe related to this Calc bug: https://bugs.freedesktop.org/show_bug.cgi?id=83126
Comment 1 sonajaqufe 2014-09-29 12:51:54 UTC
PS: Some background on the use-case. In some text and/or (La)TeX editors one can select a phrase and other occurrences of it are automatically highlighted. This helps a lot in scientific writing to for example find places to spell-out an abbreviation or the reverse. I tried using LibreOffice Writer's "Find All" option for this purpose. Except for the view jumping away from where I wanted to start searching, it has worked fine.
Comment 2 ign_christian 2014-09-29 14:40:48 UTC
> 5. Click "Find all" => Buggy behaviour: View jumps to search result in
> figure caption, ignoring first result in body text.

Same result with LO 4.2.0.0.beta1 and 4.2.7.0.0+ Time: 2014-09-11_14:25:14 under Ubuntu 12.04 x86
Comment 3 QA Administrators 2015-10-14 19:56:09 UTC Comment hidden (obsolete)
Comment 4 sonajaqufe 2015-10-16 16:19:25 UTC
Same behaviour/bug still present in LO 5.0.2.2 on Win7 Pro 64bit.

Regression tested with 
http://downloadarchive.documentfoundation.org/libreoffice/old/3.3.0.4/portable/LibreOfficePortable_3.3.0.paf.exe => same behaviour/bug, except that 6. "Find" cycles through results in caption first (minor problem compared to 5. "Find all")
Comment 5 QA Administrators 2017-10-23 14:05:51 UTC Comment hidden (obsolete)
Comment 6 sonajaqufe 2017-10-23 14:46:28 UTC
Bug still present in version: 5.4.2.2
Build-ID: 22b09f6418e8c2d508a9eaf86b2399209b0990f4
CPU-Threads: 4; Betriebssystem:Mac OS X 10.13; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group
Comment 7 QA Administrators 2018-10-24 02:57:19 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2020-10-24 05:12:33 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2022-10-25 03:33:22 UTC
Dear sonajaqufe,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug